diff --git a/workdir/Asociace/Assets/Scenes/Menu.unity b/workdir/Asociace/Assets/Scenes/Menu.unity
index cc3b02aa7..31795f3e2 100644
--- a/workdir/Asociace/Assets/Scenes/Menu.unity
+++ b/workdir/Asociace/Assets/Scenes/Menu.unity
@@ -7001,148 +6365,119 @@ PrefabInstance:
   m_Modification:
     m_TransformParent: {fileID: 917973302}
     m_Modifications:
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMax.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMin.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_SizeDelta.x
       value: 248.42767
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_SizeDelta.y
       value: 395.0002
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 154.21384
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914769934141209, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: -227.5001
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_Pivot.x
       value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_Pivot.y
       value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_RootOrder
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMax.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMax.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMin.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchorMin.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_SizeDelta.x
       value: 308.42767
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_SizeDelta.y
       value: 455.0002
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalPosition.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalRotation.w
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalRotation.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalRotation.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalRotation.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 472.6415
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: -227.5001
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalEulerAnglesHint.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalEulerAnglesHint.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_LocalEulerAnglesHint.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513521, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513521, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_Name
       value: FullScreen (empty)
       objectReference: {fileID: 0}
-    - target: {fileID: 7443914770638513521, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-        type: 3}
+    - target: {fileID: 7443914770638513521, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
       propertyPath: m_IsActive
       value: 0
       objectReference: {fileID: 0}
@@ -7150,8 +6485,7 @@ PrefabInstance:
   m_SourcePrefab: {fileID: 100100000, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
 --- !u!224 &1457979321 stripped
 RectTransform:
-  m_CorrespondingSourceObject: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 7443914770638513520, guid: 5131e55c9aa5d524d96bfcda0767a1d3, type: 3}
   m_PrefabInstance: {fileID: 1457979320}
   m_PrefabAsset: {fileID: 0}
 --- !u!1 &1469026029
@@ -7182,6 +6516,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 1498923844}
   m_RootOrder: 0
@@ -7206,14 +6541,15 @@ MonoBehaviour:
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
   m_text: 
   m_isRightToLeft: 0
   m_fontAsset: {fileID: 11400000, guid: d340b7cafa78e9d43b6fb4e16ea764f4, type: 2}
-  m_sharedMaterial: {fileID: 21742447660461980, guid: d340b7cafa78e9d43b6fb4e16ea764f4,
-    type: 2}
+  m_sharedMaterial: {fileID: 21742447660461980, guid: d340b7cafa78e9d43b6fb4e16ea764f4, type: 2}
   m_fontSharedMaterials: []
   m_fontMaterial: {fileID: 0}
   m_fontMaterials: []
@@ -7231,13 +6567,12 @@ MonoBehaviour:
   m_fontColorGradientPreset: {fileID: 0}
   m_spriteAsset: {fileID: 0}
   m_tintAllSprites: 0
+  m_StyleSheet: {fileID: 0}
+  m_TextStyleHashCode: 0
   m_overrideHtmlColors: 0
   m_faceColor:
     serializedVersion: 2
     rgba: 4294967295
-  m_outlineColor:
-    serializedVersion: 2
-    rgba: 4278190080
   m_fontSize: 36
   m_fontSizeBase: 36
   m_fontWeight: 400
@@ -7245,6 +6580,8 @@ MonoBehaviour:
   m_fontSizeMin: 18
   m_fontSizeMax: 100
   m_fontStyle: 0
+  m_HorizontalAlignment: 1
+  m_VerticalAlignment: 256
   m_textAlignment: 514
   m_characterSpacing: 0
   m_wordSpacing: 0
@@ -7255,10 +6592,8 @@ MonoBehaviour:
   m_enableWordWrapping: 1
   m_wordWrappingRatios: 0.4
   m_overflowMode: 0
-  m_firstOverflowCharacterIndex: -1
   m_linkedTextComponent: {fileID: 0}
-  m_isLinkedTextComponent: 0
-  m_isTextTruncated: 0
+  parentLinkedComponent: {fileID: 0}
   m_enableKerning: 1
   m_enableExtraPadding: 0
   checkPaddingRequired: 0
@@ -7266,40 +6601,18 @@ MonoBehaviour:
   m_parseCtrlCharacters: 1
   m_isOrthographic: 1
   m_isCullingEnabled: 0
-  m_ignoreRectMaskCulling: 0
-  m_ignoreCulling: 1
   m_horizontalMapping: 0
   m_verticalMapping: 0
   m_uvLineOffset: 0
   m_geometrySortingOrder: 0
+  m_IsTextObjectScaleStatic: 0
   m_VertexBufferAutoSizeReduction: 1
-  m_firstVisibleCharacter: 0
   m_useMaxVisibleDescender: 1
   m_pageToDisplay: 1
   m_margin: {x: 10, y: 10, z: 10, w: 10}
-  m_textInfo:
-    textComponent: {fileID: 1469026031}
-    characterCount: 0
-    spriteCount: 0
-    spaceCount: 0
-    wordCount: 0
-    linkCount: 0
-    lineCount: 0
-    pageCount: 0
-    materialCount: 1
   m_isUsingLegacyAnimationComponent: 0
   m_isVolumetricText: 0
-  m_spriteAnimator: {fileID: 0}
   m_hasFontAssetChanged: 0
-  m_subTextObjects:
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
-  - {fileID: 0}
   m_baseMaterial: {fileID: 0}
   m_maskOffset: {x: 0, y: 0, z: 0, w: 0}
 --- !u!222 &1469026032
@@ -7340,6 +6653,7 @@ RectTransform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 1469026030}
   m_Father: {fileID: 190023555}
@@ -7369,6 +6683,7 @@ MonoBehaviour:
     m_PersistentCalls:
       m_Calls:
       - m_Target: {fileID: 190023554}
+        m_TargetAssemblyTypeName: 
         m_MethodName: SetActive
         m_Mode: 6
         m_Arguments:
@@ -7380,6 +6695,7 @@ MonoBehaviour:
           m_BoolArgument: 0
         m_CallState: 2
       - m_Target: {fileID: 190023558}
+        m_TargetAssemblyTypeName: 
         m_MethodName: DetailedSetupCompleted
         m_Mode: 1
         m_Arguments:
@@ -7405,11 +6721,12 @@ MonoBehaviour:
   m_GameObject: {fileID: 1498923843}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 1392445389, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 4e29b1a8efbd4b44bb3f3716e73f07ff, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Navigation:
     m_Mode: 3
+    m_WrapAround: 0
     m_SelectOnUp: {fileID: 0}
     m_SelectOnDown: {fileID: 0}
     m_SelectOnLeft: {fileID: 0}
@@ -7419,17 +6736,20 @@ MonoBehaviour:
     m_NormalColor: {r: 1, g: 1, b: 1, a: 1}
     m_HighlightedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
     m_PressedColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 1}
+    m_SelectedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
     m_DisabledColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 0.5019608}
     m_ColorMultiplier: 1
     m_FadeDuration: 0.1
   m_SpriteState:
     m_HighlightedSprite: {fileID: 0}
     m_PressedSprite: {fileID: 0}
+    m_SelectedSprite: {fileID: 0}
     m_DisabledSprite: {fileID: 0}
   m_AnimationTriggers:
     m_NormalTrigger: Normal
     m_HighlightedTrigger: Highlighted
     m_PressedTrigger: Pressed
+    m_SelectedTrigger: Highlighted
     m_DisabledTrigger: Disabled
   m_Interactable: 1
   m_TargetGraphic: {fileID: 1498923847}
@@ -7445,12 +6765,14 @@ MonoBehaviour:
   m_GameObject: {fileID: 1498923843}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -765806418, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
   m_Color: {r: 0.29803923, g: 0.6509804, b: 0.2, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -7463,6 +6785,7 @@ MonoBehaviour:
   m_FillClockwise: 1
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
 --- !u!222 &1498923848
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -7473,8 +6796,7 @@ CanvasRenderer:
   m_CullTransparentMesh: 0
 --- !u!114 &1524598464 stripped
 MonoBehaviour:
-  m_CorrespondingSourceObject: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
   m_PrefabInstance: {fileID: 131350239}
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 0}
@@ -7490,168 +6812,135 @@ PrefabInstance:
   m_Modification:
     m_TransformParent: {fileID: 190023555}
     m_Modifications:
-    - target: {fileID: 470176920502895292, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176920502895292, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_AnchorMax.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalPosition.x
-      value: 0
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_Pivot.x
+      value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalPosition.y
-      value: 0
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_Pivot.y
+      value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalPosition.z
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_RootOrder
+      value: 6
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_AnchorMax.x
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_AnchorMax.y
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_AnchorMin.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalRotation.x
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_AnchorMin.y
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_SizeDelta.x
+      value: -300
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_SizeDelta.y
+      value: 70
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalRotation.y
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalRotation.z
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalPosition.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_LocalRotation.w
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_RootOrder
-      value: 6
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.x
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalRotation.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.y
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalRotation.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.z
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalRotation.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: -126
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_SizeDelta.x
-      value: -300
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.x
+      value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_SizeDelta.y
-      value: 70
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.y
+      value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_AnchorMin.x
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_AnchorMin.y
-      value: 0.5
+    - target: {fileID: 470176921614825253, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_Name
+      value: Quality Level
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_AnchorMax.x
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_Value
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_AnchorMax.y
-      value: 0.5
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_Pivot.x
-      value: 0.5
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_Pivot.y
-      value: 0.5
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_MinValue
+      value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825253, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_Name
-      value: Quality Level
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_WholeNumbers
+      value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.size
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_Mode
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_CallState
-      value: 2
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_Target
       value: 
       objectReference: {fileID: 190023558}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_CallState
+      value: 2
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_MethodName
       value: ChangeQualityLevel
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_Arguments.m_ObjectArgumentAssemblyTypeName
       value: UnityEngine.Object, UnityEngine
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_MinValue
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_Value
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_WholeNumbers
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921890464825, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921890464825, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_AnchorMax.y
       value: 1
       objectReference: {fileID: 0}
@@ -7685,6 +6974,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 349075029}
   m_RootOrder: 0
@@ -7709,6 +6999,8 @@ MonoBehaviour:
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -7718,7 +7010,6 @@ MonoBehaviour:
   m_sharedMaterial: {fileID: 0}
   m_isDefaultMaterial: 0
   m_padding: 0
-  m_canvasRenderer: {fileID: 1558322887}
   m_TextComponent: {fileID: 349075030}
   m_materialReferenceIndex: 1
 --- !u!222 &1558322887
@@ -7757,6 +7048,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 653540506}
   m_RootOrder: 0
@@ -7775,12 +7067,14 @@ MonoBehaviour:
   m_GameObject: {fileID: 1563594199}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -765806418, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
   m_Color: {r: 0.23529412, g: 0.27058825, b: 0.28235295, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -7793,6 +7087,7 @@ MonoBehaviour:
   m_FillClockwise: 1
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
 --- !u!222 &1563594202
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -7803,20 +7098,18 @@ CanvasRenderer:
   m_CullTransparentMesh: 0
 --- !u!224 &1577376847 stripped
 RectTransform:
-  m_CorrespondingSourceObject: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
   m_PrefabInstance: {fileID: 470176920709163883}
   m_PrefabAsset: {fileID: 0}
 --- !u!114 &1577376849 stripped
 MonoBehaviour:
-  m_CorrespondingSourceObject: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-    type: 3}
+  m_CorrespondingSourceObject: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
   m_PrefabInstance: {fileID: 470176920709163883}
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 0}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -113659843, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 67db9e8f0e2ae9c40bc1e2b64352a6b4, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
 --- !u!1 &1586549913
@@ -7848,6 +7141,7 @@ RectTransform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 423836622}
   m_Father: {fileID: 1360391739}
@@ -7867,12 +7161,14 @@ MonoBehaviour:
   m_GameObject: {fileID: 1586549913}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: -765806418, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
   m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
+  m_RaycastPadding: {x: 0, y: 0, z: 0, w: 0}
+  m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
@@ -7885,6 +7181,7 @@ MonoBehaviour:
   m_FillClockwise: 1
   m_FillOrigin: 0
   m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
 --- !u!114 &1586549916
 MonoBehaviour:
   m_ObjectHideFlags: 0
@@ -7899,6 +7196,7 @@ MonoBehaviour:
   m_EditorClassIdentifier: 
   m_Navigation:
     m_Mode: 3
+    m_WrapAround: 0
     m_SelectOnUp: {fileID: 0}
     m_SelectOnDown: {fileID: 0}
     m_SelectOnLeft: {fileID: 0}
@@ -7908,17 +7206,20 @@ MonoBehaviour:
     m_NormalColor: {r: 1, g: 1, b: 1, a: 1}
     m_HighlightedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
     m_PressedColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 1}
+    m_SelectedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
     m_DisabledColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 0.5019608}
     m_ColorMultiplier: 1
     m_FadeDuration: 0.1
   m_SpriteState:
     m_HighlightedSprite: {fileID: 0}
     m_PressedSprite: {fileID: 0}
+    m_SelectedSprite: {fileID: 0}
     m_DisabledSprite: {fileID: 0}
   m_AnimationTriggers:
     m_NormalTrigger: Normal
     m_HighlightedTrigger: Highlighted
     m_PressedTrigger: Pressed
+    m_SelectedTrigger: Highlighted
     m_DisabledTrigger: Disabled
   m_Interactable: 1
   m_TargetGraphic: {fileID: 1586549915}
@@ -7927,6 +7228,7 @@ MonoBehaviour:
   m_Placeholder: {fileID: 699232676}
   m_VerticalScrollbar: {fileID: 0}
   m_VerticalScrollbarEventHandler: {fileID: 0}
+  m_LayoutGroup: {fileID: 0}
   m_ScrollSensitivity: 1
   m_ContentType: 0
   m_InputType: 0
